# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: atlas/api/like.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='atlas/api/like.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x14\x61tlas/api/like.proto\x12\x07weclikd\"\x85\x01\n\x05Likes\x12\x0b\n\x03red\x18\x01 \x01(\r\x12\x0e\n\x06silver\x18\x02 \x01(\r\x12\x0c\n\x04gold\x18\x03 \x01(\r\x12\x0f\n\x07\x64iamond\x18\x04 \x01(\r\"@\n\x08LikeType\x12\x08\n\x04NONE\x10\x00\x12\x07\n\x03RED\x10\x01\x12\n\n\x06SILVER\x10\x02\x12\x08\n\x04GOLD\x10\x03\x12\x0b\n\x07\x44IAMOND\x10\x04\x62\x06proto3'
)



_LIKES_LIKETYPE = _descriptor.EnumDescriptor(
  name='LikeType',
  full_name='weclikd.Likes.LikeType',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='NONE', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='RED', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='SILVER', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='GOLD', index=3, number=3,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='DIAMOND', index=4, number=4,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=103,
  serialized_end=167,
)
_sym_db.RegisterEnumDescriptor(_LIKES_LIKETYPE)


_LIKES = _descriptor.Descriptor(
  name='Likes',
  full_name='weclikd.Likes',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='red', full_name='weclikd.Likes.red', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='silver', full_name='weclikd.Likes.silver', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='gold', full_name='weclikd.Likes.gold', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='diamond', full_name='weclikd.Likes.diamond', index=3,
      number=4, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _LIKES_LIKETYPE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=34,
  serialized_end=167,
)

_LIKES_LIKETYPE.containing_type = _LIKES
DESCRIPTOR.message_types_by_name['Likes'] = _LIKES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Likes = _reflection.GeneratedProtocolMessageType('Likes', (_message.Message,), {
  'DESCRIPTOR' : _LIKES,
  '__module__' : 'atlas.api.like_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Likes)
  })
_sym_db.RegisterMessage(Likes)


# @@protoc_insertion_point(module_scope)
